Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class BridgeContext.SoftReferenceMememto

    java.lang.Object
      java.lang.ref.Reference
          java.lang.ref.SoftReference
              org.apache.batik.util.CleanerThread.SoftReferenceCleared
                  org.apache.batik.bridge.BridgeContext.SoftReferenceMememto

All Implemented Interfaces:
  CleanerThread.ReferenceCleared

Enclosing class:
  BridgeContext

public static class BridgeContext.SoftReferenceMememto
extends CleanerThread.SoftReferenceCleared

Method Summary
`void` | `cleared()`

Methods inherited from class java.lang.ref.SoftReference
`get`

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, isEnqueued`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### cleared

    public void cleared()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.